using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Valg.EVA.Skanning.Resources.Language;

namespace Valg.EVA.Skanning.Scan.Startup.SelectScannerModel
{
    public abstract class ScannerListItem
    {
    }

    class ScannerModelItem : ScannerListItem
    {
       
        public string ModelName { get; set; }
        public bool IsConnected => ScannerModels.Connected.Contains(ModelName);
        public override string ToString()
        {
            return ModelName;
        }
    }

    class SeparatorItem : ScannerListItem
    {
        public override string ToString()
        {
            return "";
        }
    }

    class EmulatorItem : ScannerListItem
    {
        public override string ToString()
        {
            return "Emulator";
        }
    }
    
    class UnsupportedModelItem : ScannerModelItem
    {
        public string DriverName { get; set; }
        public override string ToString()
        {
            return DriverName;
        }
    }
    class OthersItem : ScannerListItem
    {
        public static string Text=> ScanLanguageString.SelectScanModelOthers;
    }

}

